<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classudp__build__arp.html">udp_build_arp</a></li><li class="navelem"><a class="el" href="classudp__build__arp_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classudp__build__arp_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a7901d0f470dff9f9d4f8b1d67f4cc696"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7901d0f470dff9f9d4f8b1d67f4cc696"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a7901d0f470dff9f9d4f8b1d67f4cc696">send_packet</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a75b3ccce0fb551e133324b99845540d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75b3ccce0fb551e133324b99845540d2"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a75b3ccce0fb551e133324b99845540d2">address_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a50ebe5a9735ce9b5bf3fe4cafca10913"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50ebe5a9735ce9b5bf3fe4cafca10913"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a50ebe5a9735ce9b5bf3fe4cafca10913">build_packet</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3e5c0e8c9526a95d590b56d938f731bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e5c0e8c9526a95d590b56d938f731bf"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a3e5c0e8c9526a95d590b56d938f731bf">next_addr</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a50ffa61499f3b689d1a656c0dedd0983"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50ffa61499f3b689d1a656c0dedd0983"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a50ffa61499f3b689d1a656c0dedd0983">write_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a304d0b8a018aa88a7c3e745a853dd2ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a304d0b8a018aa88a7c3e745a853dd2ad"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a304d0b8a018aa88a7c3e745a853dd2ad">arp_we_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a256e16269ba81b3c2e6f1b7e5343e93c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a256e16269ba81b3c2e6f1b7e5343e93c"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a256e16269ba81b3c2e6f1b7e5343e93c">set_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea7fddcebc0dadf9bc0779df51ea73d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea7fddcebc0dadf9bc0779df51ea73d4"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#aea7fddcebc0dadf9bc0779df51ea73d4">send_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adabab527a6fbe5980aa943bfd0277ff9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adabab527a6fbe5980aa943bfd0277ff9"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#adabab527a6fbe5980aa943bfd0277ff9">load_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a326e3d79fce8526c71e21b5a891f13c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a326e3d79fce8526c71e21b5a891f13c6"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a326e3d79fce8526c71e21b5a891f13c6">buf_to_load</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83dff37407fbef3d303b6b2e089b5f9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83dff37407fbef3d303b6b2e089b5f9a"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a83dff37407fbef3d303b6b2e089b5f9a">address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f9a84e5ed77674bd87c42b9ed0bd3f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f9a84e5ed77674bd87c42b9ed0bd3f2"></a>
<a class="el" href="classudp__build__arp_1_1rtl.html#a7f9a84e5ed77674bd87c42b9ed0bd3f2">addr_to_set</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__build__arp_8vhd_source.html#l00028">28</a> of file <a class="el" href="udp__build__arp_8vhd_source.html">udp_build_arp.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__build__arp_8vhd_source.html">udp_build_arp.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
